/**
 * 
 */
package com.axemble.education.connectors.navigation;

import java.util.Collection;

import com.axemble.education.connectors.navigation.common.CommonNavigationServiceConnector;
import com.axemble.education.connectors.navigation.common.CommonNavigationServiceConnectorEditor;
import com.axemble.vdoc.sdk.interfaces.IProperty;
import com.axemble.vdoc.sdk.interfaces.IResourceController;

/**
 * @author vlygeros
 *
 */
public class MandatoryFieldServiceConnector extends CommonNavigationServiceConnector
{
	private static final long serialVersionUID = -3829119253194599727L;

	@Override
	protected void execute( IResourceController resourceController )
	{
		boolean value = ( (Boolean)getServiceDefinition().getValue( CommonNavigationServiceConnectorEditor.FIELD_VALUE ) ).booleanValue();
		Collection<IProperty> properties = (Collection<IProperty>)getServiceDefinition().getValue( CommonNavigationServiceConnectorEditor.FIELD_ELEMENTS_FIELD );
		if ( properties != null )
		{
			for ( IProperty property : properties )
				resourceController.setMandatory( property.getName(), value );
		}
	}
}
